package leigh.mecha.olap.xmla;

import leigh.eo.EO;

import javax.xml.stream.XMLStreamException;
import java.io.Closeable;
import java.io.IOException;

public interface XmlaResultSet extends Closeable {
    @Override
    void close() throws IOException;

    boolean next() throws XMLStreamException;

    EO getRow();
}
